Subject: Re: linux-next: manual merge of the tip tree with the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 13 Oct 2020 14:34:52 +1100

Hi all,

On Fri, 25 Sep 2020 15:35:10 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   arch/x86/kernel/apic/msi.c
> 
> between commit:
> 
>   2705b8e4d46f ("x86/apic/msi: Use Real PCI DMA device when configuring IRTE")
> 
> from the pci tree and commit:
> 
>   7ca435cf857d ("x86/irq: Cleanup the arch_*_msi_irqs() leftovers")
> 
> from the tip tree.
> 
> I fixed it up (the latter removed the code updated by the former, so I
> did that) and can carry the fix as necessary. This is now fixed as far as
> linux-next is concerned, but any non trivial conflicts should be mentioned
> to your upstream maintainer when your tree is submitted for merging.
> You may also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the pci tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell